import * as ActionTypes from '../actionTypes'
import { SetServerMapAction, SetServerMapUpdatedAction } from './types'
import { ServerMap } from '../../types'

export const setServerMapAction = (payload: ServerMap): SetServerMapAction => ({
  type: ActionTypes.SET_SERVER_MAP,
  payload
})

export const setServerMapUpdatedAction = (): SetServerMapUpdatedAction => ({
  type: ActionTypes.SET_SERVER_MAP_UPDATED
})
