import { NDKUserProfile } from '@nostr-dev-kit/ndk'
import * as ActionTypes from '../actionTypes'
import { SetUserProfile, SetUserRobotImage } from './types'

export const setUserRobotImage = (
  payload: string | null
): SetUserRobotImage => ({
  type: ActionTypes.SET_USER_ROBOT_IMAGE,
  payload
})

export const setUserProfile = (
  payload: NDKUserProfile | null
): SetUserProfile => ({
  type: ActionTypes.SET_USER_PROFILE,
  payload
})
