import { NDKUserProfile } from '@nostr-dev-kit/ndk'
import * as ActionTypes from '../actionTypes'
import { RestoreState } from '../actions'

export interface UserState {
  robotImage: string | null
  profile: NDKUserProfile | null
}

export interface SetUserRobotImage {
  type: typeof ActionTypes.SET_USER_ROBOT_IMAGE
  payload: string | null
}

export interface SetUserProfile {
  type: typeof ActionTypes.SET_USER_PROFILE
  payload: NDKUserProfile | null
}

export type UserDispatchTypes =
  | SetUserRobotImage
  | SetUserProfile
  | RestoreState
