/**
 * We are using a map instead of an array because the future plan is to have
 * read and write file servers, so this model is prepared for that nostr feature.
 */
export type FileServerMap = {
  [key: string]: {
    read: boolean
    write: boolean
  }
}

export interface FileServerPutResponse {
  sha256: string
  size: number
  uploaded: number
  type: string
  url: string
}
